% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}
\definecolor{color2}{rgb}{0.46078431372549,0.749019607843137,0.443137254901961}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Inference Latency [ms]},
xmajorgrids,
xmin=0, xmax=6459.530154,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Model Type},
ymin=-0.5, ymax=1.5,
ytick style={color=white!15!black},
ytick={0,1},
yticklabels={\texttt{float32},\texttt{int8}}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:nan,-0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{NUCLEO-L496ZG}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:2217.00896,0.866666666666667);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-0.133333333333333) rectangle (axis cs:6151.93348,0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{DISCO-F469NI}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,0.866666666666667) rectangle (axis cs:984.3176,1.13333333333333);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,0.133333333333333) rectangle (axis cs:1613.39756,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color2,line width=0.32pt};
\addlegendentry{NUCLEO-F767ZI}

\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,1.13333333333333) rectangle (axis cs:449.30214,1.4);
\addplot [line width=0.864pt, white!26!black]
table {%
nan -0.266666666666667
nan -0.266666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.733333333333333
nan 0.733333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0
nan 0
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1
nan 1
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.266666666666667
nan 0.266666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.26666666666667
nan 1.26666666666667
};
\end{axis}

\end{tikzpicture}
